com.google.gwt.user.client.ui

## Interface SourcesPopupEvents

All Known Implementing Classes:
  DecoratedPopupPanel, DialogBox, LoggingPopup, PopupPanel

Deprecated.
use `HasCloseHandlers` instead

    @Deprecated
    public interface SourcesPopupEvents

A widget that implements this interface sources the events defined by the `PopupListener` interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addPopupListener(PopupListener listener)` Deprecated. use `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler<T>)` instead
`void` `removePopupListener(PopupListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler<T>)` instead

### Method Detail

#### addPopupListener

    @Deprecated
    void addPopupListener(PopupListener listener)

Deprecated. use `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler<T>)` instead
Adds a listener interface to receive popup events.

Parameters:
  `listener` - the listener interface to add.

#### removePopupListener

    @Deprecated
    void removePopupListener(PopupListener listener)

Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler<T>)` instead
Removes a previously added popup listener.

Parameters:
  `listener` - the listener interface to remove.